org.eclipse.jgit.internal.storage.file

## Class CheckoutEntryImpl

- java.lang.Object
- - org.eclipse.jgit.internal.storage.file.CheckoutEntryImpl

All Implemented Interfaces:
  CheckoutEntry

    public class CheckoutEntryImpl
    extends Object
    implements CheckoutEntry

Parsed information about a checkout.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getFromBranch()`
`String` `getToBranch()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getFromBranch

    public String getFromBranch()

Specified by:
  `getFromBranch` in interface `CheckoutEntry`
Returns:
  the name of the branch before checkout

#### getToBranch

    public String getToBranch()

Specified by:
  `getToBranch` in interface `CheckoutEntry`
Returns:
  the name of the branch after checkout